#!/bin/sh

FREEBSD_GDB=/usr/src/gnu/usr.bin/gdb/gdb
CONTRIB_GDB=/usr/src/contrib/gdb/gdb
for f in *.h *.c ; do
  echo -n "file $f ..."
  if [ -r ${FREEBSD_GDB}/$f ] ; then
    if diff -q $f ${FREEBSD_GDB}/$f >/dev/null 2>&1 ; then
      echo " is the same as ${FREEBSD_GDB}/$f"
      echo $f >> same-gdb-files
    else
      echo " differs from ${FREEBSD_GDB}/$f"
      echo $f >> different-gdb-files
      diff -u $f ${FREEBSD_GDB}/$f > $f--diffs
    fi
  elif [ -r ${CONTRIB_GDB}/$f ] ; then
    if diff -q $f ${CONTRIB_GDB}/$f >/dev/null 2>&1 ; then
      echo " is the same as ${CONTRIB_GDB}/$f"
      echo $f >> same-cnt-files
    else
      echo " differs from ${CONTRIB_GDB}/$f"
      echo $f >> different-cnt-files
      diff -u $f ${CONTRIB_GDB}/$f > $f--diffs
    fi
  else
    echo " not found in standard FreeBSD distribution"
    echo $f >> local-files
  fi
done
