#!/bin/sh

FREEBSD_GDB=/usr/src/gnu/usr.bin/gdb/gdb
CONTRIB_GDB=/usr/src/contrib/gdb/gdb
CONTRIB_BOP=/usr/src/contrib/binutils/opcodes

#link all include files from the standard distribution to .
for f in ${FREEBSD_GDB}/*.h ${CONTRIB_GDB}/*.h; do
  l=`basename $f`
  echo -n "file $l "
  if [ -r $l ] ; then
    echo "... already there"
  else
    echo " --> $f"
    ln -sf $f $l
  fi
done

if [ x$1 != xall ] ; then
  exit 0
fi

#link all c sources needed from the standard distribution
SRCS="	annotate.c blockframe.c breakpoint.c buildsym.c c-lang.c c-typeprint.c 
	c-valprint.c ch-lang.c ch-typeprint.c ch-valprint.c coffread.c 
	command.c complaints.c copying.c core-regset.c corelow.c cp-valprint.c 
	dcache.c dbxread.c demangle.c dwarfread.c elfread.c environ.c eval.c 
	exec.c expprint.c findvar.c fork-child.c freebsd-nat.c gdbtypes.c 
	i386-tdep.c infcmd.c inflow.c infptrace.c infrun.c inftarg.c 
	language.c m2-lang.c m2-typeprint.c m2-valprint.c main.c maint.c 
	mem-break.c minsyms.c objfiles.c parse.c printcmd.c remote.c 
	remote-utils.c solib.c source.c stabsread.c stack.c symfile.c 
	symmisc.c symtab.c target.c thread.c top.c typeprint.c utils.c 
	valarith.c valops.c valprint.c values.c version.c serial.c ser-unix.c 
	ser-tcp.c mdebugread.c c-exp.y f-exp.y m2-exp.y i387-tdep.c kvm-fbsd.c 
	bcache.c corefile.c ch-exp.c f-lang.c scm-exp.c scm-lang.c 
	scm-valprint.c f-typeprint.c f-valprint.c nlmread.c callback.c 
	m3-exp.c m3-typeprint.c 
	m3-valprint.c m3-lang.c m3-token.c m3-uid.c"

for l in ${SRCS} ; do
  echo -n "file $l "
  if [ -r $l ] ; then
    echo "... already there"
  else
    fg=${FREEBSD_GDB}/$l
    fc=${CONTRIB_GDB}/$l
    fo=${CONTRIB_BOP}/$l
    if [ -r $fg ] ; then
      echo " --> $fg"
      ln -sf $fg $l
    elif [ -r $fc ] ; then
      echo " --> $fc"
      ln -sf $fc $l
    elif [ -r $fo ] ; then
      echo " --> $fo"
      ln -sf $fo $l
    else 
      echo "... missing!"
    fi
  fi
done
